package com.ssj.bean.sys.teacher.domain;


import com.ssj.bean.common.framework.core.domain.BaseEntity;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;



@Entity
@Table(name="tb_one_apply_teacher")
public class ApplyTeacher extends BaseEntity {

	/**
	 * 
	 */
	private static final long serialVersionUID = -629928032393566985L;
	
	private String userId; //用户ID
	
    private String  headPicUrl; //头像
	

	private String realName;//真实姓名
	
	
	private Integer sex; //性别
	
	
	private String concatPhone;//联系方式
	
	
	private String subject;//科目
	
	
	private Integer schoolAge;//教龄
	
	
	private String personalLabel; // 个人标签
	
	
	private String personalInfo; //个人简介
	

	private String teachPoint;//教学特点
	
	
	private String successfulCase;//成功案例
	
	
	private String  teacherImg; //身份证正反面

	private String titleImg; //资格证图片
	
	private String teacherLever; //老师级别  注册老师 /明星老师
	
	private String teacherType; //老师类型  兼职/全职
	
	private String auditState; //审核状态 1-审核中 2--审核通过 3--审核不通过
	
	private Date createTime; //创建时间
	
	private Date updateTime; //更新时间（老师信息更新时间）
	
	private Date auditTime; // 审核时间

	public String getHeadPicUrl() {
		return headPicUrl;
	}

	public void setHeadPicUrl(String headPicUrl) {
		this.headPicUrl = headPicUrl;
	}

	public String getRealName() {
		return realName;
	}

	public void setRealName(String realName) {
		this.realName = realName;
	}

	public Integer getSex() {
		return sex;
	}

	public void setSex(Integer sex) {
		this.sex = sex;
	}

	public String getConcatPhone() {
		return concatPhone;
	}

	public void setConcatPhone(String concatPhone) {
		this.concatPhone = concatPhone;
	}

	public String getSubject() {
		return subject;
	}

	public void setSubject(String subject) {
		this.subject = subject;
	}

	public Integer getSchoolAge() {
		return schoolAge;
	}

	public void setSchoolAge(Integer schoolAge) {
		this.schoolAge = schoolAge;
	}

	public String getPersonalLabel() {
		return personalLabel;
	}

	public void setPersonalLabel(String personalLabel) {
		this.personalLabel = personalLabel;
	}

	public String getPersonalInfo() {
		return personalInfo;
	}

	public void setPersonalInfo(String personalInfo) {
		this.personalInfo = personalInfo;
	}

	public String getTeachPoint() {
		return teachPoint;
	}

	public void setTeachPoint(String teachPoint) {
		this.teachPoint = teachPoint;
	}

	public String getSuccessfulCase() {
		return successfulCase;
	}

	public void setSuccessfulCase(String successfulCase) {
		this.successfulCase = successfulCase;
	}

	public String getTeacherImg() {
		return teacherImg;
	}

	public void setTeacherImg(String teacherImg) {
		this.teacherImg = teacherImg;
	}

	public String getTeacherLever() {
		return teacherLever;
	}

	public void setTeacherLever(String teacherLever) {
		this.teacherLever = teacherLever;
	}

	public String getTeacherType() {
		return teacherType;
	}

	public void setTeacherType(String teacherType) {
		this.teacherType = teacherType;
	}

	public String getAuditState() {
		return auditState;
	}

	public void setAuditState(String auditState) {
		this.auditState = auditState;
	}

	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public Date getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}

	public Date getAuditTime() {
		return auditTime;
	}

	public void setAuditTime(Date auditTime) {
		this.auditTime = auditTime;
	}

	public String getUserId() {
		return userId;
	}

	public void setUserId(String userId) {
		this.userId = userId;
	}

	public String getTitleImg() {
		return titleImg;
	}

	public void setTitleImg(String titleImg) {
		this.titleImg = titleImg;
	}



}
